Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.sortedset
Class SortedSetDocValuesFacetFields

    java.lang.Object
      org.apache.lucene.facet.index.FacetFields
          org.apache.lucene.facet.sortedset.SortedSetDocValuesFacetFields

    public class SortedSetDocValuesFacetFields

extends FacetFields

Add instances of this to your Document if you intend to use `SortedSetDocValuesAccumulator` to count facets at search time. Note that this only supports flat facets (dimension + label). Add multiple instances of this to your document, one per dimension + label, and it's fine if a given dimension is multi-valued.

Field Summary

Fields inherited from class org.apache.lucene.facet.index.FacetFields
`indexingParams, taxonomyWriter`

Constructor Summary
`SortedSetDocValuesFacetFields()` Create a `SortedSetDocValuesFacetField` with the provided `CategoryPath`.
`SortedSetDocValuesFacetFields(FacetIndexingParams fip)` Create a `SortedSetDocValuesFacetField` with the provided `CategoryPath`, and custom `FacetIndexingParams`.

Method Summary
`void` | `addFields(Document doc, Iterable<CategoryPath> categories)` Adds the needed facet fields to the document.

Methods inherited from class org.apache.lucene.facet.index.FacetFields
`addCountingListData, createCategoryListMapping, drillDownFieldType, getCategoryListData, getDrillDownStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortedSetDocValuesFacetFields

    public SortedSetDocValuesFacetFields()

  Create a `SortedSetDocValuesFacetField` with the provided `CategoryPath`.

### SortedSetDocValuesFacetFields

    public SortedSetDocValuesFacetFields(FacetIndexingParams fip)

  Create a `SortedSetDocValuesFacetField` with the provided `CategoryPath`, and custom `FacetIndexingParams`.

Method Detail

### addFields

    public void addFields(Document doc,
                          Iterable<CategoryPath> categories)
                   throws IOException

  Description copied from class: `FacetFields`
  Adds the needed facet fields to the document.

  Overrides:
    `addFields` in class `FacetFields`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.